Reset password
Header parameters
Brand-URLstringRequiredExample:
The brand URL of the request. This is used to identify the brand.
YOUR_BRAND_URLBody
This is the model class for ResetPassword.
emailAddressstring · min: 1RequiredExample:
This represents the email of the user.
example@jframework.iotokenstring · min: 1RequiredExample:
This represents the token of the user.
eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9newPasswordstring · min: 1RequiredExample:
This represents the new password of the user.
newpasswordResponses
200
The request was successful.
application/json
The API result model with data.
successbooleanRead-onlyRequired
This is the flag to indicate whether the API call is successful or not.
statusCodeinteger · int32Read-onlyRequired
This is the HTTP status code. This is used to determine the status code to be returned to the client.
messagestring · min: 1Required
This is the message to be displayed to the user.
databooleanOptional
400
Your token was invalid.
application/json
404
The user was not found in the system.
application/json
429
API call exceeded rate limit due to too many requests.
application/json
post
/api/v1/users/reset-passwordLast updated